"""
Example comparing contours of bathymetry from two files to 
make sure they match up.
"""

from geotools2 import topotools
from pylab import *

figure(1)
clf()

# first bathymetry file:
fname = 'testdata/etopo4min130E150E3N48N.asc'
X1,Y1,Z1 = topotools.topofile2griddata(fname, topotype=2)

# plot bathymetry with blue contours:
clines = linspace(0,-6000,7)
contour(X1,Y1,Z1,clines,colors='b',linestyles='solid')


# second bathymetry file:
fname = 'testdata/etopo1min139E147E34N41N.asc'
X2,Y2,Z2 = topotools.topofile2griddata(fname, topotype=2)

# plot bathymetry with blue contours:
contour(X2,Y2,Z2,clines,colors='r',linestyles='solid')
